Skip to main content
PATCH
/
admin
/
users
/
{id}
Update an accountant user
curl --request PATCH \
  --url https://api.steuerboard.com/v1/admin/users/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "role": "admin"
}
'
{
  "id": "cmf41ajzv003706un4i99q1b1",
  "createdAt": "2024-08-20T12:34:56Z",
  "email": "alex@example.com",
  "firstName": "Alex",
  "lastName": "Müller",
  "roles": [
    {
      "id": "cmf41ajzv003706un4i99q1a0",
      "name": "accountant_admin",
      "customName": "Head of Accounting"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.steuerboard.com/llms.txt

Use this file to discover all available pages before exploring further.

This endpoint only works with the Accountant API key. More information here

Authorizations

Authorization
string
header
required

Bearer token authentication

Path Parameters

id
string<cuid>
required

The ID of the item

Example:

"cmf41ajzv003706un4i99q19z"

Body

application/json

Update accountant user

role
required

Role to assign to the user. Can be 'admin', 'user', or a custom role ID.

Available options:
admin,
user
Example:

"admin"

Response

Accountant user updated

id
string<cuid>
required

Identifier of the accountant user.

Example:

"cmf41ajzv003706un4i99q1b1"

createdAt
string<date-time>
required

ISO 8601 timestamp when the accountant user record was created.

Example:

"2024-08-20T12:34:56Z"

email
string<email>
required

Email address of the accountant user.

Example:

"alex@example.com"

firstName
string | null
required

First name of the accountant user, if provided.

Example:

"Alex"

lastName
string | null
required

Last name of the accountant user, if provided.

Example:

"Müller"

roles
object[]
required

Roles assigned to the accountant user.